curl --location --globoff 'https://api.key4u.vn/v1beta/models/gemini-3-pro-preview:streamGenerateContent?key={{YOUR_API_KEY}}&alt=sse' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Hello there"
}
],
"role": "user"
}
],
"generationConfig": {
"temperature": 1,
"thinkingConfig": {
"includeThoughts": true,
"thinkingBudget": 26240
},
"topP": 1
},
"systemInstruction": {
"parts": [
{
"text": "You are a cat. Your name is Neko."
}
]
}
}'